function init(hero) {
    hero.setName("Taskmaster/\u00A76\u00A7lUHP\u00A7r");
    hero.setVersion("MCU");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:black_canarys_tonfas");
    hero.addEquipment("fiskheroes:bo_staff");
    hero.addEquipment("fiskheroes:captain_americas_shield");
    hero.addEquipment("fiskheroes:chronos_rifle");
    hero.addEquipment("fiskheroes:cold_gun");
    hero.addEquipment("fiskheroes:compound_bow");
    hero.addEquipment("fiskheroes:deadpools_swords");
    hero.addEquipment("fiskheroes:grappling_gun");
    hero.addEquipment("fiskheroes:heat_gun");
    hero.addEquipment("fiskheroes:prometheus_sword");
    hero.addEquipment("fiskheroes:quiver");
    hero.addEquipment("fiskheroes:rip_hunters_gun");

    hero.addPowers("uhp:red_room_program", "uhp:taskmaster_armor");
	
    hero.addAttribute("ARROW_DAMAGE", 0.30, 1);
    hero.addAttribute("BOW_DRAWBACK", 0.85, 1);
    hero.addAttribute("FALL_RESISTANCE", 6.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.45, 1);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 4.0, 0);

    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("SHIELD_THROW", "key.shieldThrow", 1);
    hero.addKeyBind("HORIZONTAL_BOW", "key.horizontalBow", 2);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 3);
    
    hero.setHasPermission(hasPermission);
	hero.setHasProperty(hasProperty);
	
    hero.supplyFunction("canAim", canAim);

}

function hasProperty(entity, property) {
    switch (property) {
    case "MASK_TOGGLE":
        return true;
    default:
        return false;
    }
}

function hasPermission(entity, permission) {
    return permission == "USE_SHIELD" || permission == "USE_GRAPPLING_GUN" || permission == "USE_CHRONOS_RIFLE" || permission == "USE_HEAT_GUN" || permission == "USE_RIPS_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:chronos_rifle" || entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun" || entity.getHeldItem().name() == "fiskheroes:heat_gun" || entity.getHeldItem().name() == "fiskheroes:grappling_gun";
}